<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Rappresentazione di colori su LED RGB" identificatoreArgomento="DimmerLedRGB" prerequisiti="ohmLaw,analogInput,digitalOutput" tags="Base,AnalogInput,PWM" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" versione="1">
    <mdprerequisitelist>Legge di Ohm e partitore di tensione</mdprerequisitelist>
    <mdcomponentlist>Led RGB su modulo con resistori, oppure Led RGB + 3 resistori</mdcomponentlist>
    <mdcomponentlist>Potenziometro</mdcomponentlist>
    <mdwhy>Mostrare il funzionamento del potenziometro come partitore di tensione.&#13;
Ottenere un colore dalla combinazione di R, G e B, applicando una funzione matematica per il calcolo.</mdwhy>
    <mdexpectedresult>Consentire all'utente di regolare, tramite il potenziometro, la lunghezza d'onda della luce, da circa 380nm a circa 780nm, calcolando la combinazione di colori R, G, B necessaria.&#13;
La rotazione a sinistra del potenziometro deve ridurre la lunghezza d'onda fino ad arrivare al minimo, la rotazione a destra incrementarla fino al massimo.</mdexpectedresult>
    <mdextras>Definire una sequenza predeterminata di combinazioni di colori da riprodurre in sequenza ripetutamente, con una velocità regolabile dall'utente con il potenziometro.</mdextras>
    <mderraticbehavior>Funzionamento al contrario per connessione errata del potenziometro.</mderraticbehavior>
    <mdcommonerrors>Mancato funzionamento per errore del collegamento dei terminali del LED RGB.</mdcommonerrors>
    <mdlessonlearned>Individuare la polarità dei LED e il modo corretto di gestire un LED RGB a catodo comune e anodo comune&#13;
Comprendere la relazione tra lunghezza d'onda e colore</mdlessonlearned>
    <mdsolution>Costruire un partitore di tensione con il potenziometro, leggendo dall'input digitale il valore.&#13;
Individuare la formula per ottenere la combinazione di colori corretta partendo dalla lettura del potenziometro.&#13;
&#13;
LED a Catodo comune:&#13;
Catodo connesso a Gnd&#13;
Ciascun terminale R, G, B, connesso con un resistore a un GPIO digitale con supporto PWM.&#13;
&#13;
LED ad Anodo comune:&#13;
Catodo connesso a Vcc&#13;
Ciascun terminale R, G, B, connesso con un resistore a un GPIO digitale con supporto PWM.</mdsolution>
    <mdpbldetails></mdpbldetails>
</itemFormativoEsercizio>
